%define upstream_name    PerlIO-via-gzip
%define upstream_version 0.021

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    PerlIO layer for gzip (de)compression
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/PerlIO/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(IO::Compress::Gzip)
BuildRequires: perl(IO::Uncompress::Gunzip)
BuildRequires: perl(Module::Build)
BuildRequires: perl(PerlIO::Util)
BuildRequires: perl(Test::More)
BuildRequires: perl(Module::Build::Compat)
BuildArch: noarch


%description
This module provides a PerlIO layer for transparent gzip de/compression,
using the IO::Compress::Gzip manpage and the IO::Uncompress::Gunzip
manpage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.21.0-7.mga6
+ Revision: 1031980
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.21.0-6.mga6
+ Revision: 947012
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.21.0-5.mga5
+ Revision: 747289
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.21.0-3.mga4
+ Revision: 514126
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.21.0-2.mga3
+ Revision: 371794
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 23 2011 jquelin <jquelin> 0.21.0-1.mga1
+ Revision: 34148
- mageia rebuild
- imported package perl-PerlIO-via-gzip


* Fri Jan 14 2011 cpan2dist 0.021-1mdv
- initial mdv release, generated with cpan2dist
